import 'package:flutter/material.dart';
import 'package:tanami_app/core/styles/app_color.dart';
import 'package:tanami_app/features/login/presentation/widgets/login_form.dart';

import '../widgets/bottom_section.dart';
import '../widgets/top_section.dart';

class LoginLayout extends StatelessWidget {
  final String fromScreen;
  const LoginLayout({
    super.key,
    required this.fromScreen,
  });

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        backgroundColor: AppColor.plainWhite,
        body: ListView(
          //
          children: [
            TopSection(
              fromScreen: fromScreen,
            ),
            const LoginForm(),
            BottomSection(
              fromScreen: fromScreen,
            ),
          ],
        ));
  }
}
